<?php

declare(strict_types=1);

namespace Drupal\membership\Plugin\MembershipProvider;

use Drupal\Core\Form\FormStateInterface;
use Drupal\membership\Entity\MembershipInterface;
use Drupal\membership\Plugin\SupportsCreationMembershipProviderInterface;
use Drupal\membership\Plugin\MembershipProviderBase;

/**
 * Abstract manual, onsite membership provider.
 *
 * Extend this to enable on-site managed memberships. This is not exposed
 * directly as this module should be primarily used to integrate with external
 * membership providers. However, there are use cases for local membership
 * types, e.g. for testing or comped/internal users.
 */
abstract class ManualOnsite extends MembershipProviderBase implements SupportsCreationMembershipProviderInterface {

  /**
   * {@inheritDoc}
   */
  public function postCreateMembership(MembershipInterface $membership, array $pluginValues = []): void {}

}
