<?php

namespace Drupal\membership\Plugin;

use Drupal\Component\Plugin\PluginInspectionInterface;
use Drupal\membership\Entity\MembershipInterface;
use Drupal\search_api\Plugin\ConfigurablePluginInterface;

/**
 * Defines an interface for Membership provider plugins.
 */
interface MembershipProviderInterface extends PluginInspectionInterface {

  /**
   * Get the workflow ID for memberships controlled by this provider.
   *
   * @return string
   */
  public function getWorkflowId(): string;

  /**
   * Perform post-creation, pre-save actions on a membership.
   *
   * @param \Drupal\membership\Entity\MembershipInterface $membership
   *   Membership created from the storage handler.
   * @param array $pluginValues
   *   Plugin-specific values passed from the parent method call.
   *
   * @return void
   */
  public function postCreateMembership(MembershipInterface $membership, array $pluginValues = []): void;

}
