<?php

declare(strict_types=1);

namespace Drupal\membership\Plugin;

use Drupal\membership\Entity\MembershipInterface;

/**
 * Interface for cancellation with the membership provider.
 */
interface SupportsCancellationMembershipProviderInterface {

  /**
   * Cancel a membership.
   *
   * @param MembershipInterface $membership
   *   Membership to be canceled.
   */
  public function cancel(MembershipInterface $membership);

}
