<?php

declare(strict_types=1);

namespace Drupal\membership\Plugin;

/**
 * Interface for membership types that support admin creation.
 *
 * These membership providers have some sort of UI (either local or on an
 * external portal) where admins may create memberships. This is contrasted with
 * providers where the only avenue for creation is through user interaction with
 * the provider. Remember that membership module is all about managing
 * memberships that are primarily externally-managed! If all your memberships
 * are created and managed locally, you probably want Commerce License, or
 * something like that.
 */
interface SupportsCreationMembershipProviderInterface extends MembershipProviderInterface {}
