<?php

declare(strict_types=1);

namespace Drupal\membership\Routing;

use Drupal\Core\Entity\EntityTypeInterface;
use Drupal\Core\Entity\Routing\DefaultHtmlRouteProvider;
use Drupal\membership\Controller\MembershipEntityController;
use Symfony\Component\Routing\Route;

class AdminHtmlRouteProvider extends DefaultHtmlRouteProvider {

  /**
   * {@inheritDoc}
   */
  protected function getAddPageRoute(EntityTypeInterface $entity_type) {
    if ($entity_type->hasLinkTemplate('add-page') && $entity_type->getKey('bundle')) {
      $route = new Route($entity_type->getLinkTemplate('add-page'));
      $route->setDefault('_controller', MembershipEntityController::class . '::addPage');
      $route->setDefault('_title_callback', MembershipEntityController::class . '::addTitle');
      $route->setDefault('entity_type_id', $entity_type->id());
      $route->setRequirement('_entity_create_any_access', $entity_type->id());

      return $route;
    }
  }

  protected function getAddFormRoute(EntityTypeInterface $entity_type) {
    return parent::getAddFormRoute(
      $entity_type
    ); // TODO: Change the autogenerated stub
  }

  protected function getCanonicalRoute(EntityTypeInterface $entity_type) {
    return parent::getCanonicalRoute(
      $entity_type
    ); // TODO: Change the autogenerated stub
  }

  protected function getEditFormRoute(EntityTypeInterface $entity_type) {
    return parent::getEditFormRoute(
      $entity_type
    ); // TODO: Change the autogenerated stub
  }

  protected function getDeleteFormRoute(EntityTypeInterface $entity_type) {
    return parent::getDeleteFormRoute(
      $entity_type
    ); // TODO: Change the autogenerated stub
  }

}
